// controllers/ble_service_controller.dart

import 'package:flutter_blue_plus/flutter_blue_plus.dart';
import 'package:get/get.dart';

/// Controller for managing Bluetooth Low Energy (BLE) devices and services.
class BleDeviceController extends GetxController {
  /// List of Bluetooth services available on the connected device.
  List<BluetoothService> bleServices = [];

  /// Currently connected Bluetooth device.
  BluetoothDevice? connectedDevice;

  /// Disconnect from the specified Bluetooth device.
  ///
  /// Returns `true` if the disconnection is successful, otherwise `false`.
  Future<bool> disconnectFromDevice(BluetoothDevice device) async {
    try {
      await device.disconnect();
      return true;
    } catch (e) {
      return false;
    }
  }
}
